package org.gcube.portlets.user.databasesmanager.client.datamodel;

import java.io.Serializable;
import java.util.List;

import com.extjs.gxt.ui.client.data.BaseModelData;

public class SubmitQueryResultWithFileFromServlet extends BaseModelData
		implements Serializable {
	private static final long serialVersionUID = 1L;

	private List<String> attributes;
	private String convertedQuery;
	private String fileName;


	public SubmitQueryResultWithFileFromServlet() {
	}

	public SubmitQueryResultWithFileFromServlet(List<String> attributes,
			String query, String fileName) {
		set("attributes", attributes);
		set("convertedQuery", query);
		set("fileName", fileName);
		
	}

	public List<String> getListOutput() {
		return get("attributes");
	}

	public String getFileName() {
		return get("fileName");
	}

	public String getConvertedQuery() {
		return get("convertedQuery");
	}
		
}
